﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/232e59c3f087/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2021.3.28f1.exe'
$checksum64     = 'bbb36ddc1f1eb447fcfe17d6e543c643d4534f4f38a698655c942c59e68726cd'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
